using System;
using System.Collections.Generic;

namespace Sudar_brojeva
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());
            int z = 0;

            int tb; //trazeni broj
            int puta;   //puta

            int duzinaX = x.ToString().Length;  //duzina X
            int duzinaY = y.ToString().Length;  //duzina Y

            //Liste
            List<int> ListaX = new List<int>() { };
            List<int> ListaY = new List<int>() { };

            tb = 0;

            //Duzina X
            for (int i = 0; i < duzinaX; i++)
            {
                int a = x % 10;
                ListaX.Add(a);
                x = (x - a) / 10;
            }

            //Duzina Y
            for (int i = 0; i < duzinaY; i++)
            {
                int a = y % 10;
                ListaY.Add(a);
                y = (y - a) / 10;
            }

            //Broj Elemenata
            int BrojElemenataX = ListaX.Count;
            int BrojElemenataY = ListaY.Count;

            //Provera
            if (BrojElemenataX >= BrojElemenataY)
            {
                for (int i = 0; i < BrojElemenataY; i++)
                {
                    puta = (int)(Math.Pow(10, z));

                    if (ListaX[i] > ListaY[i])
                    {
                        tb = tb + ListaX[i] * puta;
                    }
                    if (ListaX[i] == ListaY[i])
                    {
                        tb = tb + ListaX[i] * puta;
                        z++;
                        puta = (int)(Math.Pow(10, z));
                        tb = tb + ListaX[i] * puta;
                    }
                    if (ListaX[i] < ListaY[i])
                    {
                        tb = tb + ListaY[i] * puta;
                    }
                    z++;
                }

                for (int n = BrojElemenataY; n < BrojElemenataX; n++)
                {
                    puta = (int)(Math.Pow(10, z));
                    tb = tb + ListaX[n] * puta;
                    z++;
                }
            }
            else
            {
                for (int i = 0; i < BrojElemenataX; i++)
                {
                    puta = (int)(Math.Pow(10, z));

                    if (ListaX[i] > ListaY[i])
                    {
                        tb = tb + ListaX[i] * puta;
                    }
                    if (ListaX[i] == ListaY[i])
                    {
                        tb = tb + ListaX[i] * puta;
                        z++;
                        puta = (int)(Math.Pow(10, z));
                        tb = tb + ListaX[i] * puta;
                    }
                    if (ListaX[i] < ListaY[i])
                    {
                        tb = tb + ListaY[i] * puta;
                    }
                    z++;
                }
                for (int n = BrojElemenataX; n < BrojElemenataY; n++)
                {
                    puta = (int)(Math.Pow(10, z));
                    tb = tb + ListaY[n] * puta;
                    z++;
                }
            }

            Console.WriteLine(tb);
        }
    }
}